package remark

// ModuleRemark
//	 @description: 模块说明对象
type ModuleRemark struct {
	// 模块名称
	Name string

	// 模块描述
	Desc string

	// 接口作者
	Author string

	// 修改者
	Mendor string

	// 接口设计日期
	Date string

	// 方法对象列表
	MethodRemarkSlice []*MethodRemark
}

// newModuleRemark
// 	@description: 创建新的模块说明对象
// parameter:
//	@name: 模块名称
//	@desc: 模块描述
//	@author: 模块作者
//	@mendor: 模块修改者（多个用，分隔）
//	@date: 创建日期
// return:
//	@*ModuleRemark: 新的模块说明对象
func newModuleRemark(name, desc, author, mendor, date string) *ModuleRemark {
	if mendor == "" {
		mendor = "无"
	}

	return &ModuleRemark{
		Name:              name,
		Desc:              desc,
		Author:            author,
		Mendor:            mendor,
		Date:              date,
		MethodRemarkSlice: make([]*MethodRemark, 0, 16),
	}
}
